tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Manuel González Castro <iinmg...@ucv.udc.es>
Subject Can't solve SAXParseException: The string "--" is not permitted within comments
Date Mon, 04 Nov 2002 13:36:45 GMT
Hi,

I'm trying to connect Tomcat-4.1.12 with Apache 2.0.43 (mod_jk), my JDK is
1.3.1_02 (latest stable version on my platform SGI IRIX 6.5). Everything is
installed and configured (it's been really hard on IRIX), I think I'm very
close to the end, but I still have a problem:

When I start Tomcat, catalina.out shows this error:

[ERROR] Digester - -Parse Fatal Error at line 93 column 9: The string "--"
is not permitted within comments. <org.xml.sax.SAXParseException: The string
"--" is not permitted within comments.>
Catalina.start: org.xml.sax.SAXException: Stopping after fatal error: The
string "--" is not permitted within comments.
org.xml.sax.SAXException: Stopping after fatal error: The string "--" is not
permitted within comments.
 at org.apache.xerces.framework.XMLParser.reportError(XMLParser.java:1245,
Compiled Code)
 at
org.apache.xerces.framework.XMLDocumentScanner.reportFatalXMLError(XMLDocume
ntScanner.java:570, Compiled Code)
 at
org.apache.xerces.framework.XMLDocumentScanner.scanComment(XMLDocumentScanne
r.java:1894, Compiled Code)
 at
org.apache.xerces.framework.XMLDocumentScanner$ContentDispatcher.dispatch(XM
LDocumentScanner.java:1121, Compiled Code)
 at
org.apache.xerces.framework.XMLDocumentScanner.parseSome(XMLDocumentScanner.
java:381, Compiled Code)
 at org.apache.xerces.framework.XMLParser.parse(XMLParser.java:1098,
Compiled Code)
 at org.apache.commons.digester.Digester.parse(Digester.java:1495, Compiled
Code)

I've read in the mail archives that this bug can be solved using a different
version of Xerces. I've replaced
"jakarta-tomcat-4.1.12/common/endorsed/xercesImpl.jar" with:

xercesImpl.jar (included with Tomcat 4.1.14)
xercesImpl.jar (Xerces 2.0.0)
xercesImpl.jar (Xerces 2.2.0)
xerces.jar (included with Tomcat 4.0.6 = Xerces 1.4.4)

but I always get the same error. I'm sure this is the only xerces library
installed in my system (it's not included in JDK1.3.1).

Which Xerces version shoud I use?
Is there any other workarround to this problem?

Thanks a lot for your help,

Manuel



--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message